{
	"name": "table/external/nestix/product/nxsheetpath.json",
	"table_name": "nxsheetpath",
	"table_prefix": "sheetpath",
	"record_type": ["nxsheetpath"],
	"local_table": "product_lot",
	"local_record_type": "nxsheetpath",
	"field": [
		{
			"field_name": "nxpathid",
			"info": "extra 4D",
			"local_field": "product_lot_id",
			"field_type": "integer"
		},
		{
			"field_name": "nxsheetid",
			"info": "needed by 4D",
			"local_field": "product_id",
			"field_type": "integer",
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "nxsheetid",
					"linked_table": "nxsheet"
				}
			]
		},
		{
			"field_name": "nxsheetpathid",
			"info": "needed by 4D",
			"local_field": "serial_number",
			"field_type": "integer"
		},
		{
			"field_name": "nxcutlength",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxpowderlength",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxrapidlength",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxusedarea",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxused",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxusedweight",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxmarkcount",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"field_name": "nxprofcount",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"field_name": "nxtotaltime",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxready",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"field_name": "nxcutdate",
			"local_field": "",
			"field_type": "timestamp without time zone"
		},
		{
			"field_name": "nxtimestamp",
			"info": "needed by 4D",
			"local_field": "modify_time",
			"field_type": "integer"
		}
	]
}
